/*! 
 *  \brief     Daily Calorie Needs calculator
 *  \author    Philippe lefebvre
 *  \version   0.1
 *  \date      2020 
 *  \warning   Improper user input can crash the application
 *  \copyright GNU Public License.
 */

#include <stdio.h>
#include <math.h>
#include <stdlib.h> 

/**  Calcul la surface corporelle
  @param t : taille en m
  @param p : poids en kg
  @return la surface corporelle 
*/
float surfaceCorporelle (float p, float t) {
	float surf_corpo =  0.2*powf(p,0.4)*powf(t,0.7) ;
	return (surf_corpo ) ;
}

/**  Calcul le metabolisme de base
  @param sc : surface corporelle
  @param a : age
  @return le metabolisme de base 
*/
// TODO
float metaBase (float sc, int a) {
	// TODO
	return(0) ;
}


/**  prise en compte du sexe dans le metabolisme de base
  @param mb : le métabolisme initial
  @param sexe : 0 si homme, 1 si femme
  @param allaitmt : 1 si alaitement, 0 sinon
  @return le metabolisme de base modifié 
*/

float metaBaseSexe (float mb, int sexe, int allaitmt) {
	// TODO
	return(0) ;
}

/**  IHM de test 
  @return void
*/
void ihm () {
// TODO
}	
	
/**  main 
 * validation des fonctions 
  @return EXIT_SUCCESS whatever happens
*/		
int main(int argc, char** argv) {
	float sc ;
	float mb, mbs ;
	sc = surfaceCorporelle (55, 1.7) ; // doit retourner 1.440421
	if (fabs(sc-1.440421)/sc <1e-6 ) { printf (" surfaceCorporelle OK \n") ; }
	mb = metaBase (1.440421, 20) ; // doit retourner 1209.953
	if (fabs(mb - 1209.953)/mb <1e-6 ){ printf (" metabase OK \n") ; }
	mbs = metaBaseSexe (1209.953 , 1, 1 )  ;  // doit retourner 1688.958
	if (fabs(mbs - 1688.958)/mbs<1e-6 ) { printf (" metaBaseSexe OK \n") ; }
	return (EXIT_SUCCESS) ;
}
