/*! 
 *  \brief     chaines de caractères
 *  \author    Philippe lefebvre
 *  \version   0.1
 *  \date      2020 
 *  \warning   Improper user input can crash the application
 *  \copyright GNU Public License.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>


/** main program for debug purpose
*/	


#define PHRASE_LEN 100

void mofifierFinChaine( int idx, char *chaine ); 


int main(int argc, char** argv) 
{
	char objet1[]="Bonjour le monde" ;
	char *objet2 =  "Bonjour le monde" ;
	char phrase[PHRASE_LEN] ;
	
	
	printf (" longueur de objet1 = %ld   (c'est la longueur du tableau de caractères)\n", sizeof (objet1) ) ;
	printf (" longueur de objet2 = %ld   (c'est la longueur du pointeur)\n", sizeof (objet2) ) ;
	printf (" longueur de la chaine référencée par objet1 = %ld   (c'est la longueur de la chaine)\n", strlen (objet1) ) ;
	printf (" longueur de la chaine référencée par objet2 = %ld   (c'est la longueur de la chaine)\n", strlen (objet2) ) ;	
	
	printf("Entrez une phrase : ") ;
	fgets (phrase, PHRASE_LEN, stdin );
	mofifierFinChaine( 5, phrase ) ;
	printf (" longueur de phrase : %ld\n", sizeof (phrase) ) ;
	printf (" longueur de phrase : %ld\n", strlen (phrase) ) ;
}

/** insère un caractère de fin de chaine à un index
@param idx : index d'insertion du caractère de fin de chaine 
@param chaine : la chaine à modifier
@return : rien 
*/ 
void mofifierFinChaine( int idx, char *chaine ) 
{
	if (idx >= 0) {
		chaine[idx] = '\0' ;
	}
}

