/**
 * @brief Traitement simple d'images - Manipulation du format BMP
 * @author Ph Lefebvre
 * @arch Linux x86 64 bits
 * @file ex9.c
 * 
*/

#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>
#include <image.h>

char headBMP [54] ; // header du dernier fichier BMP ouvert

/** Affiche une image 
@param nom : nom du fichier
*/
void affiImageBMP (const char *nom) ;


/** Charge une image
@param fichier : nom du fichier
@return une structure contenant l'image
*/
Image lireImageBMP(const char *fichier) ;


/** Sauvegarde une image sur disque
@param nomFic : nom du fichier qui sera créé
@param im : structure image en entrée de la fonction
*/
void saveImageBMP(Image im, const char * nomFic) ;
